<?php
namespace app\workerapi\lists;
/**
 * @author 林海涛
 * @date 2024/7/11 下午1:41
 */
use app\common\lists\BaseDataLists;
abstract  class BaseWorkerDataLists extends BaseDataLists
{
    protected array $userInfo = [];
    protected int $userId = 0;

    public string $export;

    public function __construct()
    {
        parent::__construct();
        if (isset($this->request->userInfo) && $this->request->userInfo) {
            $this->userInfo = $this->request->userInfo;
            $this->userId = $this->request->userId;
        }
        $this->export = $this->request->get('export', '');
    }

}
